import request from "@/utils/request";

// 流程管理列表
export const lcgl_list = (data = {}) => {
  return request({
    url: "/jdbg/sbcg_lcgl/index",
    data,
  });
};

// 流程管理添加
export const lcgl_add = (data = {}) => {
  return request({
    url: "/jdbg/sbcg_lcgl/add",
    data: {
      site: "jnmf",
      issubmit: "1",
      jdbg_sbcg_lcgl: data.jdbg_sbcg_lcgl,
    },
  });
};

// 流程管理编辑
export const lcgl_edit = (data = {}) => {
  return request({
    url: "/jdbg/sbcg_lcgl/edit",
    data,
  });
};

// 流程管理删除
export const lcgl_del = (data = {}) => {
  return request({
    url: "/jdbg/sbcg_lcgl/delete",
    data,
  });
};

// 流程管理详情
export const lcgl_detail = (data = {}) => {
  return request({
    url: "/jdbg/sbcg_lcgl/detail",
    data,
  });
};

// 组织机构列表
export const org_list = (data = {}) => {
  return request({
    url: "/user/org/index",
    data: {
      site: "jnmf",
      limit: 999,
      page:1,
      admin: 1,
      uo_pid:'385'
    },
  });
};
// 组织机构成员
export const org_users = (data = {}) =>
  request({
    url: "/user/main/index",
    data,
  });